Subject: [PATCH] arm, kbuild: make "make install" not depend on vmlinux

From: [email-masked] (Michal Marek)
Date: Wed, 09 Oct 2013 12:28:10 +0200

On 9.10.2013 09:18, Geert Uytterhoeven wrote:
> On Mon, Sep 30, 2013 at 6:31 PM, Yann E. MORIN <[email-masked]> wrote:
>> On 2013-09-30 10:49 +0200, Robert Richter spake thusly:
>>> On 18.07.13 11:22:24, Michal Marek wrote:
>>>>> So Michal (or ARM people - whoever wants to take the patch), just take
>>>>> my ack. No objections.
>>>>
>>>> I can add it to the kbuild tree if needed. Otherwise you can add
>>>> Acked-by: Michal Marek <[email-masked]>.
>>>
>>> This didn't make it upstream yet, can somebody at it to a tree?
>>
>> Since it's been acked-by Linus, I'll queue it in my tree, for Michal to
>> pull from. Expect a pull-request soon.
> 
> Sorry for chiming in that late, but I didn't think of this when reading the
> original submission.
> 
> Just doing "make oldconfig; make install" used to work.

On ARM and maybe other architectures.

> Removing the dependency of "make vmlinux" on vmlinux breaks this, doesn't it?

Yes.

> I had the habit of doing the above many years ago, when I was mostly doing
> native builds, and before I had my own custom linux-install-kernel
> script that e.g.
> knows how to copy kernels and modules around to NFS servers.
> 
> Not that I'm strongly attached to it, but there may be other users...

We can't eat the cake and have it :). What can be done is to make
arch/arm/boot/install.sh print a friendlier error message, like the x86
version does:

if [ ! -f "$1" ]; then
	echo ""                                                   1>&2
	echo " *** Missing file: $1"                              1>&2
	echo ' *** You need to run "make" before "make install".' 1>&2
	echo ""                                                   1>&2
	exit 1
fi

Michal